%define upstream_name	 DateTime-Format-ISO8601
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses almost all ISO8601 date and time formats
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/RPM4
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Class::Factory::Util)
BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.450.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.770.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::ValidationCompiler) >= 0.260.0
BuildRequires: perl(Specio) >= 0.180.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Parse and format W3CDTF datetime strings.
ISO8601 time-intervals will be supported in a later release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Feb 24 2025 tv <tv> 0.170.0-1.mga10
+ Revision: 2151978
- update to 0.17

* Wed Mar 23 2022 umeabot <umeabot> 0.160.0-2.mga9
+ Revision: 1820547
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.160.0-1.mga9
+ Revision: 1690214
- update to 0.16

* Sun Oct 25 2020 tv <tv> 0.150.0-1.mga8
+ Revision: 1639312
- update to 0.15

* Tue Aug 18 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1614689
- update to 0.14

* Sun Aug 16 2020 tv <tv> 0.130.0-1.mga8
+ Revision: 1614208
- update to 0.13

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-10.mga8
+ Revision: 1493866
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-9.mga7
+ Revision: 1267035
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1025124
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 948768
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 788317
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 745672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684278
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 218684
- update to 0.08

* Mon Jan 24 2011 jquelin <jquelin> 0.70.0-3.mga1
+ Revision: 37415
- mageia rebuild
- imported package perl-DateTime-Format-ISO8601

